Bug 1292617 - oddjob-mkhomedir not copying /etc/skel when creating new home directories
oddjob-mkhomedir not copying /etc/skel when creating new home directories
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: oddjob (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-17 17:56 EST by Scott Dowdle
Modified: 2016-12-20 12:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:07:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Dowdle 2015-12-17 17:56:20 EST
Used authconfig-gtk to configure NIS centralized authentication and selected the radio button to have it automatically create home directories for new users when they login.

The home directory is created by oddjob-mkhomedir but the contents of /etc/skel do not get copied in.  Also, the default creation permissions are 755 and I would prefer them to be 700.

This may just be a configuration issue but after looking at the man pages provided, I don't see how to set those options.

I tried the hints here (edit /etc/pam.d/system-auth) but no luck:
https://docs.fedoraproject.org/en-US/Fedora/15/html/Deployment_Guide/chap-SSSD_User_Guide-Setting_Up_SSSD.html

Ideally it there would be options in authconfig-gtk but it appears one has to configure oddjob-mkhomedir.
Comment 1 Scott Dowdle 2015-12-17 18:37:53 EST
Clarification... it works as desired if I ssh in... creates home dir with 700 permissions and copies everything into it from /etc/skel.

If I login from the graphical login (using lightdm), it does create a home dir but the permissions are 755 and /etc/skel are NOT copied.
Comment 2 Scott Dowdle 2016-08-05 15:18:18 EDT
Just set up Active Directory authentication with realm/sssd on Fedora 24... and user directories are being created with 755 permissions by default (ouch)... and the contents of /etc/skel/ don't seem to be copied into the new user directory... so this bug or feature request... applies to Fedora 24 as well.
Comment 3 Scott Dowdle 2016-08-05 15:51:18 EDT
I found https://bugzilla.redhat.com/show_bug.cgi?id=836174 and discovered that it inherits the permissions on /etc/skel/ where were indeed 755.  I changed /etc/skel/ to 700 and now the homedirs are what I want them to be (700)... so the permissions thing is a non-issue.

The copying of /etc/skel's contents is still an issue though.
Comment 4 Fedora End Of Life 2016-11-24 09:19:08 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 12:07:35 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.